%define major		1
%define libname		%mklibname gmtk %{major}
%define libnamedev	%mklibname -d gmtk

Name:		gmtk
Summary:	Library for gnome-mplayer and gecko-mediaplayer
Version:	1.0.8
Release:	%mkrel 2
License: 	GPLv2+
Group:		System/Libraries
Source0: 	http://gmtk.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:		gmtk-1.0.8-link-order.patch
URL: 		http://code.google.com/p/gmtk/
BuildRequires: pkgconfig(gconf-2.0)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(alsa)
BuildRequires: pkgconfig(libpulse)
BuildRequires: pkgconfig(libpulse-mainloop-glib)
BuildRequires: intltool

%description
Library for gnome-mplayer and gecko-mediaplayer.

%package i18n
Summary:	Translation files for %name
Group:		System/Libraries
BuildArch:	noarch

%description i18n
This package contains translation files for %name.

%package -n	%{libname}
Summary:	Library for gnome-mplayer and gecko-mediaplayer
Group:		System/Libraries
Requires:	%{name}-i18n >= %{version}

%description -n	%{libname}
Library for gnome-mplayer and gecko-mediaplayer.

%package -n	%{libnamedev}
Summary:	Libraries and include files for developing with libgmtk
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{libnamedev}
This package provides the necessary development libraries and include
files to allow you to develop with %{name}.

%prep
%setup -q
%patch0 -p1

%build
autoreconf -fi
%configure2_5x --disable-static --enable-gsettings --disable-gconf
%make

%install
%makeinstall_std

%find_lang %name

rm -f %{buildroot}%{_libdir}/*.la %{buildroot}%{_datadir}/doc/%{name}/*

%files i18n -f %name.lang

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{libnamedev}
%{_libdir}/*.so
%{_includedir}/%{name}
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.0.8-2.mga4
+ Revision: 523729
- Mageia 4 Mass Rebuild

* Wed Mar 06 2013 luigiwalser <luigiwalser> 1.0.8-1.mga4
+ Revision: 401586
- 1.0.8

* Fri Feb 08 2013 fwang <fwang> 1.0.7-3.mga3
+ Revision: 395583
- use gconf as br
- fix linkage order

* Sat Jan 12 2013 umeabot <umeabot> 1.0.7-2.mga3
+ Revision: 351923
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 18 2012 fwang <fwang> 1.0.7-1.mga3
+ Revision: 319422
- bump libmajor
- new version 1.0.7

* Mon Apr 16 2012 luigiwalser <luigiwalser> 1.0.6-1.mga2
+ Revision: 230989
- 1.0.6

* Sat Jan 14 2012 fwang <fwang> 1.0.5-2.mga2
+ Revision: 195871
- build gtk3 flavour

* Fri Jan 13 2012 fwang <fwang> 1.0.5-1.mga2
+ Revision: 195735
- more linkage fix
- imported package gmtk

